Bug 1018540 - Review Request: golang-github-goraft-raft - A Go implementation of the Raft distributed consensus protocol
Review Request: golang-github-goraft-raft - A Go implementation of the Raft d...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Miller
Fedora Extras Quality Assurance
: Reopened
Depends On: 1018057
Blocks: 1018479
  Show dependency treegraph
 
Reported: 2013-10-12 23:27 EDT by Lokesh Mandvekar
Modified: 2014-07-23 06:05 EDT (History)
9 users (show)

See Also:
Fixed In Version: golang-github-goraft-raft-0-0.3.gite138889.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-28 23:48:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mattdm: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Lokesh Mandvekar 2013-10-12 23:27:19 EDT
Spec URL: http://lsm5.fedorapeople.org/rpmbuild/SPECS/golang-github-goraft-raft.spec
SRPM URL: http://lsm5.fedorapeople.org/rpmbuild/SRPMS/golang-github-goraft-raft-0-0.1.gite138889.fc21.src.rpm

Description: A Go implementation of the Raft distributed consensus protocol
Fedora Account System Username: lsm5

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=6054102

$ rpmlint SPECS/golang-github-goraft-raft.spec SRPMS/golang-github-goraft-raft-0-0.1.gite138889.fc21.src.rpm RPMS/noarch/golang-github-goraft-raft-devel-0-0.1.gite138889.fc21.noarch.rpm
SPECS/golang-github-goraft-raft.spec:35: W: setup-not-quiet
golang-github-goraft-raft.src:35: W: setup-not-quiet
2 packages and 1 specfiles checked; 0 errors, 2 warnings.
Comment 1 Lokesh Mandvekar 2013-10-12 23:28:30 EDT
packaging the upstream instead of the coreos fork
Comment 2 Matthew Miller 2013-10-14 11:17:57 EDT
Should have

BuildRequires: golang-googlecode-goprotobuf-devel
Comment 3 Matthew Miller 2013-10-14 12:41:29 EDT
(Or the equivalent  golang("[import path]") virtual provides.)
Comment 4 Matthew Miller 2013-10-14 13:34:55 EDT
Actually should be Requires, not BuildRequires.
Comment 5 Matthew Miller 2013-10-15 16:26:20 EDT
So, the devel package should have

Requires: golang("code.google.com/p/goprotobuf/proto")



Eventually, we'll make RPM generate these automatically.
Comment 6 Lokesh Mandvekar 2013-10-15 21:29:48 EDT
%changelog
* Tue Oct 15 2013 Lokesh Mandvekar <lsm5@redhat.com>  0-0.2.gite138889
- requires goprotobuf

Spec URL: http://lsm5.fedorapeople.org/rpmbuild/SPECS/golang-github-goraft-raft.spec
SRPM URL: http://lsm5.fedorapeople.org/rpmbuild/SRPMS/golang-github-goraft-raft-0-0.2.gite138889.fc21.src.rpm
Comment 7 Matthew Miller 2013-10-15 21:51:02 EDT
Review passed, with the caveat that it may need to be updated as the Go packaging guidelines progress beyond draft form.

Also, it wouldn't hurt to have a more descriptive description. But not a big deal for the review.

%description
This is a Go implementation of the Raft distributed consensus protocol.
Raft is a protocol by which a cluster of nodes can maintain a replicated state machine. The state machine is kept in sync through the use of a replicated log.
Comment 8 Lokesh Mandvekar 2013-10-18 15:47:00 EDT
New Package SCM Request
=======================
Package Name: golang-github-goraft-raft
Short Description: A Go implementation of the Raft distributed consensus protocol
Owners: lsm5
Branches: f19 f20 el6
InitialCC:
Comment 9 Gwyn Ciesla 2013-10-19 17:15:00 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2013-10-20 01:20:55 EDT
golang-github-goraft-raft-0-0.3.gite138889.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-github-goraft-raft-0-0.3.gite138889.fc20
Comment 11 Fedora Update System 2013-10-20 01:26:03 EDT
golang-github-goraft-raft-0-0.3.gite138889.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/golang-github-goraft-raft-0-0.3.gite138889.fc19
Comment 12 Fedora Update System 2013-10-20 01:31:10 EDT
golang-github-goraft-raft-0-0.3.gite138889.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-goraft-raft-0-0.3.gite138889.el6
Comment 13 Fedora Update System 2013-10-20 12:19:37 EDT
golang-github-goraft-raft-0-0.3.gite138889.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 14 Peter Lemenkov 2013-10-23 07:07:23 EDT
Package Change Request
======================
Package Name: golang-github-goraft-raft
InitialCC: golang-sig
Comment 15 Gwyn Ciesla 2013-10-23 10:12:47 EDT
Done.
Comment 16 Fedora Update System 2013-10-28 23:48:25 EDT
golang-github-goraft-raft-0-0.3.gite138889.fc19 has been pushed to the Fedora 19 stable repository.
Comment 17 Fedora Update System 2013-11-04 12:35:31 EST
golang-github-goraft-raft-0-0.3.gite138889.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 18 Fedora Update System 2013-11-10 02:37:49 EST
golang-github-goraft-raft-0-0.3.gite138889.fc20 has been pushed to the Fedora 20 stable repository.
Comment 19 Troy Dawson 2014-07-22 16:17:31 EDT
Package Change Request
======================
Package Name: golang-github-goraft-raft
New Branches: epel7
Owners: tdawson maxamillion
Comment 20 Gwyn Ciesla 2014-07-23 06:05:30 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.